#pragma once

#include "Variablen.h"

class Team : public Variable
{
private:
    float maxWiederbelebungsZeit;
    int tode;
    int kills;
    int punkte;
    int teamNummer;
    int spielerAnzahl;
    int maxSpielerAnzahl;
    int farbe;
    Text name;

public:
    Team( int id, int maxSpielerAnzahl, int punkte, int maxWiederbelebungZeit, int farbe, const char *name );
    void setMaxWiederbelebungsZeit( float sekunden );
    void addSpieler();
    void removeSpieler();
    void addTod();
    void addKill();
    void addPunkte( int punkte );
    void setPunkte( int punkte );
    Text getName() const;
    float getMaxWiederbelebungsZeit() const;
    int getTode() const;
    int getKills() const;
    int getPunkte() const;
    int getTeamNummer() const;
    int getSpielerAnzahl() const;
    int getFarbe() const;
};